/*****************************************************************************
 * sdi_declink.c: SDI Blackmagic Declink cards
 *****************************************************************************
 * Copyright (C) 2010 M2X BV
 * $Id: 19c6ecf4c76784bd7def31ed48d7d8a5c1d784ea $
 *
 * Authors: Jean-Paul Saman <jpsaman@videolan.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************/

#ifndef BLACKMAGIC_DECLINK_H_
#define BLACKMAGIC_DECLINK_H_

#ifdef __APPLE__
#include "Declink 7.5/Mac/Include/DecLinkAPI.h"
#elif defined(WIN32)
/* use COM idl */
#else /* assume linux */
#include "Declink 7.5/Linux/DecLinkAPI.h"
#endif

static int  declink_Open  (vlc_object_t *);
static void declink_Close (vlc_object_t *);

static int  declink_Demux  (demux_t *);
static int  declink_Control(demux_t *, int, va_list);

#endif

